Withdraw
POSTπ Withdraw
Withdraw. Requires the Withdraw permission. Please refer to the Crypto Networks endpoint for fee calculation.
The parameter amountIncludeFee affects how the fee is handled, with the differences as follows:
amountIncludeFee= trueamountis the amount to be deducted from user's wallet (i.e., including fee). The amount the user receives will beamount - fee.
amountIncludeFee= falseamountis the amount the user wants to receive (i.e., excluding fee). The amount deducted from user's wallet will beamount + fee.
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| crypto | String | Yes | Crypto to withdraw |
| network | String | Yes | Crypto network to withdraw |
| address | String | Yes | Withdrawal address |
| addressExtension | String | No | Address extension (e.g. XRP tag, EOS memo). Required for networks where needAddressExtension is true in the Crypto Networks response |
| amount | String | Yes | Withdraw amount |
| amountIncludeFee | Boolean | No | Whether the fee is included in the amount or not. The default value is set to true. |
| webhookUrl | String | No | If you wish to receive notifications, please fill in the 'webhookUrl' parameter. Also, kindly notify us so that we can add the 'webhookUrl' to the whitelist. |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| data | Object |
example
POST
https://api.btse.com/public-api/wallet/v1/user/crypto/withdrawRequest (Common)
{
"crypto": "USDT",
"network": "ERC20",
"address": "0xc48fd69d0f4B521B7200345A67641aB4076828f2",
"amount": "36"
}
Request (Has Extension)
{
"crypto": "XRP",
"network": "RIPPLE",
"address": "rHJhVRJGWGDqVX6cX8Ca1nPZMrkARE2VVx",
"addressExtension": "533973779",
"amount": "20"
}
Request (Has Webhook URL)
{
"crypto": "USDT",
"network": "ERC20",
"address": "0xc48fd69d0f4B521B7200345A67641aB4076828f2",
"amount": "36",
"webhookUrl": "{URL for webhook}"
}
Response
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1624989977940,
"data": {
"transactionRef": "2025060500001",
"orderId": "cca02a29-e47c-4ee7-9d42-28b850a843ec",
"crypto": "USDT",
"network": "ERC20",
"address": "0xc48fd69d0f4B521B7200345A67641aB4076828f2",
"addressExtension": null,
"amountToAddress": "30.45",
"fees": "5.55"
}
}